#!/bin/bash

source $HOME/livestream-adresse.inc

# Version 2.0 vom 10.08.2023

Arbeitspfad="$(findePfad $(pwd))"
if [ "$1" != "" ]; then
  if [ -e "$1" ]; then
    Arbeitspfad="$(findePfad $1)"
  fi
  shift
fi
Namenzusatz="${Arbeitspfad##*/}"
[ "$Namenzusatz" != "" ] && Namenzusatz="-$Namenzusatz"
Namenzusatz1="${Arbeitspfad%/*}"
cd $Namenzusatz1
if [ "${Namenzusatz1##*/}" != "" ]; then
  Namenzusatz2="${Namenzusatz1##*/}"
  Namenzusatz3="${Namenzusatz1%/*}"
  if [ "$Namenzusatz3" != "" ] && [ "$Namenzusatz3-" != "$Namenzusatz2" ]; then
    Namenzusatz3="${Namenzusatz3##*/}-"
  else
    Namenzusatz3=""
  fi
  Namenzusatz4="${Namenzusatz1%/*}"
  Namenzusatz4="${Namenzusatz4%/*}"
  if [ "$Namenzusatz4" != "" ] && [ "$Namenzusatz4-" != "$Namenzusatz3" ]; then
    Namenzusatz4="${Namenzusatz4##*/}-"
  else
    Namenzusatz4=""
  fi
  Namenzusatz5="${Namenzusatz1%/*}"
  Namenzusatz5="${Namenzusatz5%/*}"
  Namenzusatz5="${Namenzusatz5%/*}"
  if [ "$Namenzusatz5" != "" ] && [ "$Namenzusatz5-" != "$Namenzusatz4" ]; then
    Namenzusatz5="${Namenzusatz5##*/}-"
  else
    Namenzusatz5=""
  fi
  Namenzusatz6="${Namenzusatz1%/*}"
  Namenzusatz6="${Namenzusatz6%/*}"
  Namenzusatz6="${Namenzusatz6%/*}"
  Namenzusatz6="${Namenzusatz6%/*}"
  if [ "$Namenzusatz6" != "" ] && [ "$Namenzusatz6-" != "$Namenzusatz5" ]; then
    Namenzusatz6="${Namenzusatz6##*/}-"
  else
    Namenzusatz6=""
  fi
else
  Namenzusatz2=""
  Namenzusatz3=""
  Namenzusatz4=""
  Namenzusatz5=""
  Namenzusatz6=""
fi
if [ "$1" != "" ]; then
  Erweiterung="-$1"
  Filter="*$1"
else
  Erweiterung=""
  Filter=""
fi
LISTE="0_Inhalt-$Namenzusatz6$Namenzusatz5$Namenzusatz4$Namenzusatz3$Namenzusatz2$Namenzusatz$Erweiterung.txt"
echo -e "===== $(date) ===== (\"$0 $@\") -> $LISTE" > "${HOME}/$LISTE"
#echo -e "Arbeitspfad='$Arbeitspfad' | Namenzusatz='$Namenzusatz' | ...2='$Namenzusatz2' | ...3='$Namenzusatz3' | ...4='$Namenzusatz4' | ...5='$Namenzusatz5' | ...6='$Namenzusatz6' | Erweiterung='$Erweiterung'\n">> "${HOME}/0_Inhalt-$Namenzusatz6$Namenzusatz5$Namenzusatz4$Namenzusatz3$Namenzusatz2$Namenzusatz$Erweiterung.txt"
ls --group-directories-first --dereference --dereference-command-line --dereference-command-line-symlink-to-dir --time-style=+'%d.%m.%Y-%H:%M' -LRhBpQs1lG $Arbeitspfad/$Filter 2> /dev/null | grep -v -i -E "[ 0-9][0KMG] .*\"/" | sed -e 's/^/     /g;s/     "\//"\//g;s/     insgesamt /insgesamt /g' >> "${HOME}/$LISTE"
if [ "$Arbeitspfad" != "$HOME/" -a  "$Arbeitspfad" != "$HOME" ]; then
  cp -u -p "${HOME}/$LISTE" "${Arbeitspfad}/$LISTE"
fi
insize1=$(ls -l "${HOME}/$LISTE" | awk 'END {print int($5/1024)}')
intime1=$(ls -al --time-style=+'%d.%m.%Y/%H:%M' "${HOME}/$LISTE" | awk 'END {print ($6)}')
insize2=$(ls -l "${Arbeitspfad}/$LISTE" | awk 'END {print int($5/1024)}')
intime2=$(ls -al --time-style=+'%d.%m.%Y/%H:%M' "${Arbeitspfad}/$LISTE" | awk 'END {print ($6)}')
#numFilme=$(grep -c '^' "${Arbeitspfad}/$LISTE")
numFilme="\n    ${SETBL}Darin enthalten: Verzeichnisse=$(( $(grep -c '^"' "${Arbeitspfad}/$LISTE") - 1 ))"
numFilme="$numFilme, *.ts=$(grep -c -i '.ts"' "${Arbeitspfad}/$LISTE")"
numFilme="$numFilme, *.m2t=$(grep -c -i '.m2t"' "${Arbeitspfad}/$LISTE")"
numFilme="$numFilme, *.avi=$(grep -c -i '.avi"' "${Arbeitspfad}/$LISTE")"
numFilme="$numFilme, *.mpg=$(grep -c -i '.mpg"' "${Arbeitspfad}/$LISTE")"
numFilme="$numFilme, *.mp4=$(grep -c -i '.mp4"' "${Arbeitspfad}/$LISTE")"
numFilme="$numFilme, *.mkv=$(grep -c -i '.mkv"' "${Arbeitspfad}/$LISTE")"
numFilme="$numFilme, *.webm=$(grep -c -i '.webm"' "${Arbeitspfad}/$LISTE")"
numFilme="$numFilme, *log/*tmp/*txt=$(cat "${Arbeitspfad}/$LISTE" | grep -i -E '(log"|tmp"|txt")' 2> /dev/null | grep -v -c '^"')"
numFilme="$numFilme, sonstige=$(grep '^' "${Arbeitspfad}/$LISTE" | sed 's/  / /g' | grep -v '^"' | grep -v 'insgesamt' | grep -v '.ts"' | grep -v '.m2t"' | grep -v '.avi"' | grep -v '.mpg"' | grep -v '.mp4"' | grep -v '.mkv"' | grep -v '.webm"' | grep -v 'log"' | grep -v 'tmp"' | grep -v 'txt"' | grep -v '====' | grep -v ' $' | grep -v -c '^$')$NOCOL"
#echo -e "$NOCOL *  ${SETBL}Filmliste \"$NOCOL${HOME}/$LISTE$SETBL\" ($intime1/${insize1}kB)\n    bzw. 
echo -e "$NOCOL *  ${SETBL}Filmliste \"$NOCOL${Arbeitspfad}/$LISTE$SETBL\" ($intime2/${insize2}kB)$NOCOL$numFilme"

