#!/bin/bash
# concatenate video files in current dir to single file
setfpsi="-r 25"
setfpso="-r 25"
setformat=
if [ "25" == "$1" ] ||  [ "25" == "$2" ]; then
  setfpsi="-r 25"
  setfpso="-r 25"
elif [ "50" == "$1" ] ||  [ "50" == "$2" ]; then
  setfpsi="-r 50"
  setfpso="-r 50"
elif [ "vob" == "$1" ] ||  [ "vob" == "$2" ]; then
  setformat="VOB"
elif [ "VOB" == "$1" ] ||  [ "VOB" == "$2" ]; then
  setformat="VOB"
elif [ "mpg" == "$1" ] ||  [ "mpg" == "$2" ]; then
  setformat="mpg"
elif [ "MPG" == "$1" ] ||  [ "MPG" == "$2" ]; then
  setformat="MPG"
elif [ "mp4" == "$1" ] ||  [ "mp4" == "$2" ]; then
  setformat="mp4"
elif [ "MP4" == "$1" ] ||  [ "MP4" == "$2" ]; then
  setformat="mp4"
elif [ "ts" == "$1" ] ||  [ "ts" == "$2" ]; then
  setformat="ts"
elif [ "TS" == "$1" ] ||  [ "TS" == "$2" ]; then
  setformat="TS"
fi

echo "Dateiliste:"
if [ "" == "$setformat" ]; then
  for f in ./*.[vmVM][opOP][bgBG4]; do echo "file '$PWD/$f'"; done
  echo "Dateityp vob/mpg/mp4... => ts"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.[vmVM][opOP][bgBG4]; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).ts
elif [ "MPG" == "$setformat" ]; then
  for f in ./*.MPG; do echo "file '$PWD/$f'"; done
  echo "Dateityp MPG"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.MPG; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).mpg
elif [ "mpg" == "$setformat" ]; then
  for f in ./*.mpg; do echo "file '$PWD/$f'"; done
  echo "Dateityp mpg"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.mpg; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).mpg
elif [ "MP4" == "$setformat" ]; then
  for f in ./*.MP4; do echo "file '$PWD/$f'"; done
  echo "Dateityp MP4"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.MP4; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).mp4
elif [ "mp4" == "$setformat" ]; then
  for f in ./*.mp4; do echo "file '$PWD/$f'"; done
  echo "Dateityp mp4"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.mp4; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).mp4
elif [ "VOB" == "$setformat" ]; then
  for f in ./*.VOB; do echo "file '$PWD/$f'"; done
  #for f in ./*.VOB; do ffmpeg $setfpsi -i $PWD/$f $setfpso -acodec copy -vcodec copy $f.mpg; done
  echo "Dateityp VOB => ts"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.VOB; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).ts
elif [ "vob" == "$setformat" ]; then
  for f in ./*.vob; do echo "file '$PWD/$f'"; done
  #for f in ./*.vob; do ffmpeg $setfpsi -i $PWD/$f $setfpso -acodec copy -vcodec copy $f.mpg; done
  echo "Dateityp vob => ts"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.vob; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).ts
elif [ "TS" == "$setformat" ]; then
  for f in ./*.TS; do echo "file '$PWD/$f'"; done
  echo "Dateityp TS"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.TS; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).ts
elif [ "ts" == "$setformat" ]; then
  for f in ./*.ts; do echo "file '$PWD/$f'"; done
  echo "Dateityp ts"
  sleep 2
  ffmpeg $setfpsi -f concat -safe 0 -i <(for f in ./*.ts; do echo "file '$PWD/$f'"; done) $setfpso -acodec copy -vcodec copy output_$(date +%Y-%m-%d_%H-%M).ts
else
  echo "Dateityp eingeben"
fi
